/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMSelection_H___INT_
#define __GdomDOMSelection_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMSelection.h"
namespace WebCore {
    gpointer toGDOM(DOMSelection* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMSelection : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_SELECTION; }
    GDOMDOMSelection(PassRefPtr<WebCore::DOMSelection> impl);
    virtual ~GDOMDOMSelection();
    WebCore::DOMSelection* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMSelection> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMSelection_H___INT_*/
